[arch-commits] Commit in python-sympy/repos/community-any (PKGBUILD PKGBUILD)

Antonio Rojas arojas at archlinux.org
Sun Jan 5 17:18:28 UTC 2020


    Date: Sunday, January 5, 2020 @ 17:18:27
  Author: arojas
Revision: 549350

archrelease: copy trunk to community-any

Added:
  python-sympy/repos/community-any/PKGBUILD
    (from rev 549349, python-sympy/trunk/PKGBUILD)
Deleted:
  python-sympy/repos/community-any/PKGBUILD

----------+
 PKGBUILD |  100 +++++++++++++++++++++----------------------------------------
 1 file changed, 36 insertions(+), 64 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2020-01-05 17:18:01 UTC (rev 549349)
+++ PKGBUILD	2020-01-05 17:18:27 UTC (rev 549350)
@@ -1,64 +0,0 @@
-# Maintainer: Felix Yan <felixonmars at archlinux.org>
-# Contributor: Stéphane Gaudreault <stephane at archlinux.org>
-# Contributor: Thomas Dziedzic < gostrc at gmail >
-# Contributor: Angel 'angvp' Velasquez <angvp[at]archlinux.com.ve>  
-# Contributor: Peter Garceau <RockyChimp at gmail.com>
-
-pkgbase=python-sympy
-pkgname=('python-sympy' 'python2-sympy')
-pkgver=1.5
-pkgrel=1
-arch=('any')
-pkgdesc='Symbolic manipulation package (Computer Algebra System), written in pure Python'
-url='https://sympy.org/en/index.html'
-license=('BSD')
-makedepends=('python2-mpmath' 'python-mpmath' 'python-setuptools' 'python2-setuptools')
-source=("$pkgbase-$pkgver.tar.gz::https://github.com/sympy/sympy/archive/sympy-$pkgver.tar.gz")
-sha512sums=('6d205c61e3ee651c46408746c32af30336ae26b6bbbf49a304f1228149d0de0cbe6ec41b5cc55b0edc163b0e0e6e4db88d19216d29ad5c8e366e6f45ba81b45e')
-
-prepare() {
-  cp -a sympy-sympy-$pkgver{,-py2}
-}
-
-build() {
-  cd "$srcdir"/sympy-sympy-$pkgver
-  python setup.py build
-
-  cd "$srcdir"/sympy-sympy-$pkgver-py2
-  python2 setup.py build
-}
-
-check() {
-  cd "$srcdir"/sympy-sympy-$pkgver
-  python setup.py test || warning "Tests failed"
-
-  cd "$srcdir"/sympy-sympy-$pkgver-py2
-  python2 setup.py test || warning "Tests failed"
-}
-
-package_python-sympy() {
-  depends=('python-mpmath')
-  optdepends=('ipython: user friendly interface for isympy')
-
-  cd sympy-sympy-$pkgver
-
-  python setup.py install --root "$pkgdir" --optimize=1
-
-  install -D -m644 LICENSE "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
-}
-
-package_python2-sympy() {
-  depends=('python2-mpmath')
-  optdepends=('python2-pyglet: plotting'
-              'ipython2: user friendly interface for isympy')
-
-  cd sympy-sympy-$pkgver-py2
-
-  python2 setup.py install --root "$pkgdir" --optimize=1
-
-  # rename files that exists in both 'python-sympy' and 'python2-sympy'
-  mv "$pkgdir"/usr/bin/isympy{,2}
-  mv "$pkgdir"/usr/share/man/man1/isympy{,2}.1
-
-  install -D -m644 LICENSE "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
-}

Copied: python-sympy/repos/community-any/PKGBUILD (from rev 549349, python-sympy/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2020-01-05 17:18:27 UTC (rev 549350)
@@ -0,0 +1,36 @@
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+# Contributor: Stéphane Gaudreault <stephane at archlinux.org>
+# Contributor: Thomas Dziedzic < gostrc at gmail >
+# Contributor: Angel 'angvp' Velasquez <angvp[at]archlinux.com.ve>  
+# Contributor: Peter Garceau <RockyChimp at gmail.com>
+
+pkgname=python-sympy
+pkgver=1.5.1
+pkgrel=1
+arch=('any')
+pkgdesc='Symbolic manipulation package (Computer Algebra System), written in pure Python'
+url='https://sympy.org/en/index.html'
+license=('BSD')
+depends=('python-mpmath')
+optdepends=('ipython: user friendly interface for isympy')
+makedepends=('python-setuptools')
+source=("$pkgname-$pkgver.tar.gz::https://github.com/sympy/sympy/archive/sympy-$pkgver.tar.gz")
+sha512sums=('3c4220243d2cbcff9eedb2a7986431b5b4d7d0007c78208a60b21830c9a3528d2171086874c42205c1227f779e44c19b9562943e2935d329bc352e7ea85396c7')
+
+build() {
+  cd "$srcdir"/sympy-sympy-$pkgver
+  python setup.py build
+}
+
+check() {
+  cd "$srcdir"/sympy-sympy-$pkgver
+  python setup.py test || warning "Tests failed"
+}
+
+package() {
+  cd sympy-sympy-$pkgver
+
+  python setup.py install --root "$pkgdir" --optimize=1
+
+  install -D -m644 LICENSE "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
+}



More information about the arch-commits mailing list